al_set_config_value(3)

NAME

al_set_config_value - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    void al_set_config_value(ALLEGRO_CONFIG *config,
       const char *section, const char *key, const char *value)

DESCRIPTION

Set a value in a section of a configuration. If the section doesn't yet exist, it will be created. If a value already existed for the given key, it will be overwritten. The section can be NULL or "" for the global section.

For consistency with the on-disk format of config files, any leading and trailing whitespace will be stripped from the value. If you have significant whitespace you wish to preserve, you should add your own quote characters and remove them when reading the values back in.

SEE ALSO

al_get_config_value(3)